Android Studio之回退Gradle版本方法

Android Studio之回退Gradle版本方法 (Minimum supported Gradle version is 4.10.1. Current version is 4.6.)

转 https://blog.csdn.net/m0_38025747/article/details/86684200

在使用Android Studio的过程中,AS经常会提示我们gradle已经更新,推荐我们升级更高版本的gradle;然而由于网络被墙,下载Google的依赖资源非常慢(Google的网络连接经常超时重置,无法正常下载),这时候只能回退以前版本或者FQ下载,此处介绍一下回退到gradle旧版本的方法。

在本次升级中,手贱点了update,结果就给更新了4.10.1版本的gradle,结果半天连不上,run了4个小时也没下载成功。

更改方式:File>>Settings>>Build,Execution,Deployment>>Gradle

更改Gradle依赖方式

图中所标序号分别为:
1.使用默认的gradle wrapper(推荐方式)
即若待使用的gradle在用户主目录/.gradle/wrapper/dists/..存在的话,AS会直接使用本地资源,反之会去https\://services.gradle.org/distributions/gradle-对应版本-all.zip处下载并解压到本地。

2.使用本地的gradle编译
即直接使用本地gradle资源,不去网上下载,需注意的是要指定正确目录才能正确使用gradle资源(默认目录是用户主目录/.gradle/wrapper/dists/gradle-对应版本-all)。

本地gradle资源位置如下

不过这个错误好像也没啥影响,拭目以待吧

然鹅在回退时我想当然地在build.gradle(Project)中将gradle版本改为本地已有的3.3时发生了如下错误:

buildscript {
    ...
    dependencies {
        classpath 'com.android.tools.build:gradle:3.3.0'
        ...
    }
}

Minimum supported Gradle version is 4.10.1. Current version is 4.6.
点击fix选项后AS就自动给我下载了4.10.1版本,这不能接受。于是在官网查阅后,我发现在回退gradle版本时,首先要知道的是gradle plugin的版本和gradle本身的版本并非一一对应的,其关系如下:

Plugin versionRequired Gradle version
1.0.0 - 1.1.3 2.2.1 - 2.3
1.2.0 - 1.3.1 2.2.1 - 2.9
1.5.0 2.2.1 - 2.13
2.0.0 - 2.1.2 2.10 - 2.13
2.1.3 - 2.2.3 2.14.1+
2.3.0+ 3.3+
3.0.0+ 4.1+
3.1.0+ 4.4+
3.2.0 - 3.2.1 4.6+
3.3.0 - 3.3.2 4.10.1+
3.4.0+ 5.1.1+


因此gradle-wrapper.properties中的版本实际上就是gradle本身的版本,而build.gradle(Project)中的版本则是gradle plugin的版本,因此才出错。
因此更改如下即可:

buildscript {
    ...
    dependencies {
        classpath 'com.android.tools.build:gradle:3.2.0'
        ...
    }
}

现在用的XX-Net还是不够方便(浏览部分国外网站还行),估计还是搭个真的vpn才行。


常用软件开发学习资料目录(详见我爱分享资源论坛):  

1.经典编程电子书收藏  

2.C&C++编程学习资料收藏   

3.算法及数据结构(有关c,c++,java)   

4.Java开发学习资料收藏      

5.Android开发学习资料收藏  

6.Python开发学习资料收藏  

7.大数据,机器学习,人工智能资料收藏

8.Docker资料收藏

posted @ 2019-04-24 18:51  中国人醒来了  阅读(9028)  评论(0编辑  收藏  举报